Subject: Re: [ntpwg] Antw: Re: The NTP WG has placed draft-haberman-ntpwg-mode-6-cmds in state "Call For Adoption By WG Issued"

From: Harlan Stenn <[email-masked]>
Date: Wed, 3 May 2017 16:21:27 -0700

Sorry for the delay.

The basic Mode 7 packet should be described.

The Mode 7 packet content need not be - it's vendor-specific.

H

On 3/29/2017 6:42 AM, Brian Haberman wrote:
> Hi Ulrich,
> 
> On 3/29/17 9:16 AM, Ulrich Windl wrote:
>>>>> Brian Haberman <[email-masked]> schrieb am 29.03.2017
>>>>> um 14:16 in
>> Nachricht <[email-masked]>:
>>> Hi Ulrich,
>>>
>>> On 3/29/17 2:18 AM, Ulrich Windl wrote:
>>>> Yesterday's message had the wrong address in it:
>>>>
>>>>> Yesterday I wrote:
>>>>>>> The NTP WG has placed draft-haberman-ntpwg-mode-6-cmds in
>>>>>>> state Call For Adoption By WG Issued (entered by Karen
>>>>>>> O'Donoghue)
>>>>>>>
>>>>>>> The document is available at 
>>>>>>> https://datatracker.ietf.org/doc/draft-haberman-ntpwg-mode-6-cmds/
>>>>>>>
>>>>>>
>>>>>> Hi!
>>>>>>
>>>>>> Actually I miss the purpose of the draft: Currently it seems
>>>>>> to be just a copy from RFC 1305. Can anybody explain?
>>>
>>> When RFC 5905 was published, it did not contain the mode 6
>>> commands. Several people have complained about that, especially
>>> having to refer back to a now obsolete RFC 1305.
>>>
>>> The purpose of this draft is to provide an up-to-date reference for
>>> the mode 6 commands.
>>
>> I guessed so, but the document as it is now provides little new
>> information, especially not on the fact that ntpdc's commands are
>> mostly moved to mode 6. It would be nice to see them.
> 
> So, you would also like to see the mode 7 commands in this draft? Seems
> reasonable on first thought.
> 
> I queried folks for any new mode 6 commands, but received no responses.
> That is why there is no real new content between this draft and 1305.
> 
>>
>>> From one of my programs I've developed I can read tha tthe
>>> definition of the event codes changed (in an incompatible) between
>>> NTPv3 and v4. Similar for the peer event codes. Variable names also
>>> changed (some renamed, some dropped, some new). E.g.: "poll" vs.
>>> "tc". Another candidate is "state": First introduced in NTPv4, then
>>> dropped again.
>>
>> It's of little use when there is a command to read a variable (by
>> name), when you don't know how the variable is named...
>>
> 
> Are you saying that there needs to be a renaming effort within this
> draft to align names with 5905?
> 
>>>
>>> One of the items I want to complete if the draft is adopted is to 
>>> modernize the text and align it with RFC 5905.
>>
>> Not to forget draft-odonoghue-ntpv4-control-02.txt...
> 
> Yes. That was a previous attempt to bring the mode 6 information up to date.
> 
> Regards,
> Brian
> 
> 
> 
> _______________________________________________
> ntpwg mailing list
> [email-masked]
> http://lists.ntp.org/listinfo/ntpwg
> 

_______________________________________________
ntpwg mailing list
[email-masked]
http://lists.ntp.org/listinfo/ntpwg